發佈於

PDO (PHP Data Object)

點閱: 19

PHP7已經不支援MySQL系列函數,而是改用MySQLi,或者PDO物件。

PDO是PHP5新加入的一個重大功能,因為在PHP5以前的php4/php3都是一堆的數據庫擴展來跟各個數據庫的連接和處理,無比煩瑣和低效。

mysql()指令集在php5.5之後是建議不要使用,而php7正式移除。
你現在如果還在用那個指令集未來可能會遇到不支援或無法維護,所以強烈建議無論如何改使用pdo。雖然會多花一些學習時間,但對未來是好的。

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料